<template>
  <div>
    Hello {{fullName}}
    <!-- custom events -->
    <button @click="sendEvent">Call heroes</button>
  </div>
</template>

<script>
import { computed } from "vue";
export default {
  name: "PersonGreeting",
  setup(props, context /* per eventi custom*/) {
    
    const fullName = computed(() => {
      return `${props.firstName} ${props.lastName}`;
    });

    function sendEvent(){
      context.emit('callHeroes', fullName.value);
    }

    return {
      fullName,
      sendEvent
    };
  },

  props: ["firstName", "lastName"],
};
</script>

<style>
</style>